OPENSSL-CRL2PKCS7(1ssl)

NOM
openssl-crl2pkcs7 – Création d'une structure PKCS#7 à partir d'une CRL et de certificats.

SYNOPSIS
openssl crl2pkcs7 [-help] [-inform DER|PEM] [-outform DER|PEM] [-in fichier] [-out fichier] [-certfile fichier] [-nocrl] [-provider nom] [-provider-path chemin] [-provparam [nom:]clé=valeur] [-propquery propq]

DESCRIPTION
La commande crl2pkcs7 convertit une CRL optionnelle ainsi qu'un ou plusieurs certificats en une structure PKCS#7 dégradée ne contenant que des certificats.

OPTIONS

-help
    Afficher un message d'utilisation.

-inform DER|PEM
    Le format d'entrée de la CRL ; PEM par défaut. Voir openssl-format-options(1) pour des détails.

-outform DER|PEM
    Le format de sortie de l'objet PKCS#7 ; PEM par défaut. Voir openssl-format-options(1) pour des détails.

-in fichier
    Si cette option est spécifiée, elle permet d'indiquer le fichier d'entrée où lire une CRL, sinon l'entrée standard sera utilisée.

-out filename
    Si cette option est spécifiée, elle permet d'indiquer le fichier de sortie où sera écrite la structure PKCS#7, sinon la sortie standard par défaut sera utilisée.

-certfile fichier
    Cette option permet d'indiquer un fichier contenant un ou plusieurs certificats au format PEM. Tous les certificats du fichier seront ajoutés à la structure PKCS#7. Cette option peut paraître à plusieurs reprises afin de lire des certificats à partir de plusieurs fichiers.

-nocrl
    Normalement, une CRL est incluse dans le fichier de sortie. Avec cette option, aucune CRL ne sera produite dans le fichier de sortie, et aucune CRL ne sera lue dans le fichier d'entrée.

-provider nom
-provider-path chemin
-provparam [nom:]clé=valeur]
-propquery propq
    Voir « Options de fournisseur » dans openssl(1), provider(7) et property(7).

EXEMPLES
Créer une structure PKCS#7 à partir d'une CRL et d'un certificat :

 openssl crl2pkcs7 -in crl.pem -certfile cert.pem -out p7.pem

Créer une structure PKCS#7 au format DER sans CRL à partir de plusieurs certificats différents :

 openssl crl2pkcs7 -nocrl -certfile nouveaucert.pem
        -certfile demoCA/cacert.pem -outform DER -out p7.der

NOTES
Le fichier de sortie est une structure de données PKCS#7 signée sans signataire, contenant uniquement des certificats et éventuellement une CRL.

Cette commande permet d'envoyer des certificats et des CA à Netscape comme partie d'un processus d'inscription de certificats. Cela implique l'envoi de la sortie encodée DER comme type MIME application/x-x509-user-cert.

La forme encodée PEM, dépouillée des lignes de début et de fin, permet d'installer des certificats d'utilisateur et des CA dans MSIE (Internet Explorer) en utilisant le contrôle Xenroll.

VOIR AUSSI
openssl(1), openssl-pkcs7(1)

COPYRIGHT
Copyright 2000-2021 Les auteurs du projet OpenSSL. Tous droits réservés.

Sous licence Apache 2.0 (la « Licence »). Vous ne pouvez utiliser ce fichier que conformément à la Licence. Vous trouverez une copie dans le fichier LICENSE de la distribution du source ou à l'adresse <https://www.openssl.org/source/license.html>.

TRADUCTION
La traduction française de cette page de manuel a été créée par arne, Eltrai, stolck, Nicolas François <nicolas.francois@centraliens.net>, David Prévot <david@tilapin.org>, Thomas Blein <tblein@tblein.eu> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.